Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.validation
Class AbstractErrors

    java.lang.Object
      org.springframework.validation.AbstractErrors

All Implemented Interfaces:
  java.io.Serializable, Errors

Direct Known Subclasses:
  AbstractBindingResult

    public abstract class AbstractErrors

extends java.lang.Object
implements Errors, java.io.Serializable

Abstract implementation of the `Errors` interface. Provides common access to evaluated errors; however, does not define concrete management of `ObjectErrors` and `FieldErrors`.

Since:
  2.5.3
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`AbstractErrors()`

Method Summary
`protected java.lang.String` | `canonicalFieldName(java.lang.String field)` Determine the canonical field name for the given field.
`protected void` | `doSetNestedPath(java.lang.String nestedPath)` Actually set the nested path.
`protected java.lang.String` | `fixedField(java.lang.String field)` Transform the given field into its full path, regarding the nested path of this instance.
`java.util.List<ObjectError>` | `getAllErrors()` Get all errors, both global and field ones.
`int` | `getErrorCount()` Return the total number of errors.
`FieldError` | `getFieldError()` Get the first error associated with a field, if any.
`FieldError` | `getFieldError(java.lang.String field)` Get the first error associated with the given field, if any.
`int` | `getFieldErrorCount()` Return the number of errors associated with a field.
`int` | `getFieldErrorCount(java.lang.String field)` Return the number of errors associated with the given field.
`java.util.List<FieldError>` | `getFieldErrors(java.lang.String field)` Get all errors associated with the given field.
`java.lang.Class<?>` | `getFieldType(java.lang.String field)` Return the type of a given field.
`ObjectError` | `getGlobalError()` Get the first global error, if any.
`int` | `getGlobalErrorCount()` Return the number of global errors.
`java.lang.String` | `getNestedPath()` Return the current nested path of this `Errors` object.
`boolean` | `hasErrors()` Return if there were any errors.
`boolean` | `hasFieldErrors()` Are there any field errors?
`boolean` | `hasFieldErrors(java.lang.String field)` Are there any errors associated with the given field?
`boolean` | `hasGlobalErrors()` Are there any global errors?
`protected boolean` | `isMatchingFieldError(java.lang.String field, FieldError fieldError)` Check whether the given FieldError matches the given field.
`void` | `popNestedPath()` Pop the former nested path from the nested path stack.
`void` | `pushNestedPath(java.lang.String subPath)` Push the given sub path onto the nested path stack.
`void` | `reject(java.lang.String errorCode)` Register a global error for the entire target object, using the given error description.
`void` | `reject(java.lang.String errorCode, java.lang.String defaultMessage)` Register a global error for the entire target object, using the given error description.
`void` | `rejectValue(java.lang.String field, java.lang.String errorCode)` Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.
`void` | `rejectValue(java.lang.String field, java.lang.String errorCode, java.lang.String defaultMessage)` Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.
`void` | `setNestedPath(java.lang.String nestedPath)` Allow context to be changed so that standard validators can validate subtrees.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.validation.Errors
`addAllErrors, getFieldErrors, getFieldValue, getGlobalErrors, getObjectName, reject, rejectValue`

Constructor Detail

### AbstractErrors

    public AbstractErrors()

Method Detail

### setNestedPath

    public void setNestedPath(java.lang.String nestedPath)

  Description copied from interface: `Errors`
  Allow context to be changed so that standard validators can validate subtrees. Reject calls prepend the given path to the field names.

  For example, an address validator could validate the subobject "address" of a customer object.

  Specified by:
    `setNestedPath` in interface `Errors`
  Parameters:
    `nestedPath` - nested path within this object, e.g. "address" (defaults to "", `null` is also acceptable). Can end with a dot: both "address" and "address." are valid.

### getNestedPath

    public java.lang.String getNestedPath()

  Description copied from interface: `Errors`
  Return the current nested path of this `Errors` object.

  Returns a nested path with a dot, i.e. "address.", for easy building of concatenated paths. Default is an empty String.

  Specified by:
    `getNestedPath` in interface `Errors`

### pushNestedPath

    public void pushNestedPath(java.lang.String subPath)

  Description copied from interface: `Errors`
  Push the given sub path onto the nested path stack.

  A `Errors.popNestedPath()` call will reset the original nested path before the corresponding `pushNestedPath(String)` call.

  Using the nested path stack allows to set temporary nested paths for subobjects without having to worry about a temporary path holder.

  For example: current path "spouse.", pushNestedPath("child") -> result path "spouse.child."; popNestedPath() -> "spouse." again.

  Specified by:
    `pushNestedPath` in interface `Errors`
  Parameters:
    `subPath` - the sub path to push onto the nested path stack
  See Also:
    `Errors.popNestedPath()`

### popNestedPath

    public void popNestedPath()
                       throws java.lang.IllegalArgumentException

  Description copied from interface: `Errors`
  Pop the former nested path from the nested path stack.

  Specified by:
    `popNestedPath` in interface `Errors`
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `Errors.pushNestedPath(java.lang.String)`

### doSetNestedPath

    protected void doSetNestedPath(java.lang.String nestedPath)

  Actually set the nested path. Delegated to by setNestedPath and pushNestedPath.

### fixedField

    protected java.lang.String fixedField(java.lang.String field)

  Transform the given field into its full path, regarding the nested path of this instance.

### canonicalFieldName

    protected java.lang.String canonicalFieldName(java.lang.String field)

  Determine the canonical field name for the given field.

  The default implementation simply returns the field name as-is.

  Parameters:
    `field` - the original field name
  Returns:
    the canonical field name

### reject

    public void reject(java.lang.String errorCode)

  Description copied from interface: `Errors`
  Register a global error for the entire target object, using the given error description.

  Specified by:
    `reject` in interface `Errors`
  Parameters:
    `errorCode` - error code, interpretable as a message key

### reject

    public void reject(java.lang.String errorCode,
                       java.lang.String defaultMessage)

  Description copied from interface: `Errors`
  Register a global error for the entire target object, using the given error description.

  Specified by:
    `reject` in interface `Errors`
  Parameters:
    `errorCode` - error code, interpretable as a message key
    `defaultMessage` - fallback default message

### rejectValue

    public void rejectValue(java.lang.String field,
                            java.lang.String errorCode)

  Description copied from interface: `Errors`
  Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.

  The field name may be `null` or empty String to indicate the current object itself rather than a field of it. This may result in a corresponding field error within the nested object graph or a global error if the current object is the top object.

  Specified by:
    `rejectValue` in interface `Errors`
  Parameters:
    `field` - the field name (may be `null` or empty String)
    `errorCode` - error code, interpretable as a message key
  See Also:
    `Errors.getNestedPath()`

### rejectValue

    public void rejectValue(java.lang.String field,
                            java.lang.String errorCode,
                            java.lang.String defaultMessage)

  Description copied from interface: `Errors`
  Register a field error for the specified field of the current object (respecting the current nested path, if any), using the given error description.

  The field name may be `null` or empty String to indicate the current object itself rather than a field of it. This may result in a corresponding field error within the nested object graph or a global error if the current object is the top object.

  Specified by:
    `rejectValue` in interface `Errors`
  Parameters:
    `field` - the field name (may be `null` or empty String)
    `errorCode` - error code, interpretable as a message key
    `defaultMessage` - fallback default message
  See Also:
    `Errors.getNestedPath()`

### hasErrors

    public boolean hasErrors()

  Description copied from interface: `Errors`
  Return if there were any errors.

  Specified by:
    `hasErrors` in interface `Errors`

### getErrorCount

    public int getErrorCount()

  Description copied from interface: `Errors`
  Return the total number of errors.

  Specified by:
    `getErrorCount` in interface `Errors`

### getAllErrors

    public java.util.List<ObjectError> getAllErrors()

  Description copied from interface: `Errors`
  Get all errors, both global and field ones.

  Specified by:
    `getAllErrors` in interface `Errors`
  Returns:
    List of `ObjectError` instances

### hasGlobalErrors

    public boolean hasGlobalErrors()

  Description copied from interface: `Errors`
  Are there any global errors?

  Specified by:
    `hasGlobalErrors` in interface `Errors`
  Returns:
    `true` if there are any global errors
  See Also:
    `Errors.hasFieldErrors()`

### getGlobalErrorCount

    public int getGlobalErrorCount()

  Description copied from interface: `Errors`
  Return the number of global errors.

  Specified by:
    `getGlobalErrorCount` in interface `Errors`
  Returns:
    the number of global errors
  See Also:
    `Errors.getFieldErrorCount()`

### getGlobalError

    public ObjectError getGlobalError()

  Description copied from interface: `Errors`
  Get the first global error, if any.

  Specified by:
    `getGlobalError` in interface `Errors`
  Returns:
    the global error, or `null`

### hasFieldErrors

    public boolean hasFieldErrors()

  Description copied from interface: `Errors`
  Are there any field errors?

  Specified by:
    `hasFieldErrors` in interface `Errors`
  Returns:
    `true` if there are any errors associated with a field
  See Also:
    `Errors.hasGlobalErrors()`

### getFieldErrorCount

    public int getFieldErrorCount()

  Description copied from interface: `Errors`
  Return the number of errors associated with a field.

  Specified by:
    `getFieldErrorCount` in interface `Errors`
  Returns:
    the number of errors associated with a field
  See Also:
    `Errors.getGlobalErrorCount()`

### getFieldError

    public FieldError getFieldError()

  Description copied from interface: `Errors`
  Get the first error associated with a field, if any.

  Specified by:
    `getFieldError` in interface `Errors`
  Returns:
    the field-specific error, or `null`

### hasFieldErrors

    public boolean hasFieldErrors(java.lang.String field)

  Description copied from interface: `Errors`
  Are there any errors associated with the given field?

  Specified by:
    `hasFieldErrors` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    `true` if there were any errors associated with the given field

### getFieldErrorCount

    public int getFieldErrorCount(java.lang.String field)

  Description copied from interface: `Errors`
  Return the number of errors associated with the given field.

  Specified by:
    `getFieldErrorCount` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the number of errors associated with the given field

### getFieldErrors

    public java.util.List<FieldError> getFieldErrors(java.lang.String field)

  Description copied from interface: `Errors`
  Get all errors associated with the given field.

  Implementations should support not only full field names like "name" but also pattern matches like "na*" or "address.*".

  Specified by:
    `getFieldErrors` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    a List of `FieldError` instances

### getFieldError

    public FieldError getFieldError(java.lang.String field)

  Description copied from interface: `Errors`
  Get the first error associated with the given field, if any.

  Specified by:
    `getFieldError` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the field-specific error, or `null`

### getFieldType

    public java.lang.Class<?> getFieldType(java.lang.String field)

  Description copied from interface: `Errors`
  Return the type of a given field.

  Implementations should be able to determine the type even when the field value is `null`, for example from some associated descriptor.

  Specified by:
    `getFieldType` in interface `Errors`
  Parameters:
    `field` - the field name
  Returns:
    the type of the field, or `null` if not determinable

### isMatchingFieldError

    protected boolean isMatchingFieldError(java.lang.String field,
                                           FieldError fieldError)

  Check whether the given FieldError matches the given field.

  Parameters:
    `field` - the field that we are looking up FieldErrors for
    `fieldError` - the candidate FieldError
  Returns:
    whether the FieldError matches the given field

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD